/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;
  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/rest_service.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
   result := DBMS_XDB.createresource('/public/xxas/emp/view/rest_service.xml',
'<View title="Rest service" defaultFormHandler="xxas_rest_service_pkg.post_service_create" submitLabel="{message.XXAS_RB_COM_SAVE}">
  <CreateFields>
  <TextInput id="SERVICE_NAME" label="Service name" required="true"/>
  <TextInput id="DESCRIPTION" label="Description" />
  <TextInput id="PATH" label="Path" value="custom/"/>
  <TextInput id="CONSUMES" label="Consumes" required="true" value="application/xml"/>
  <TextInput id="PRODUCES" label="Produces" required="true" value="application/xml"/>
  <Poplist id="ENABLE" label="Enabled" showAsBoolean="true" listProvider="LOOKUP_TYPE:YES_NO" positiveBooleanValue="Y" value="Y" />
  </CreateFields>
</View>' );
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/rest_service.xml');
END;
/
COMMIT;
EXIT;
